# $Revision: 1.39 $, $Date: 2009/06/23 10:56:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Font
%define		pnam	AFM
Summary:	Font::AFM - interface to Adobe Font Metrics files
Summary(pl.UTF-8):	Font::AFM - interfejs do plików metryk fontów Adobe (AFM)
Name:		perl-Font-AFM
Version:	1.20
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Font/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b14ecf4dc4edbd63940aa354eb13c499
URL:		http://search.cpan.org/dist/Font-AFM/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Font::AFM is an interface to Adobe Font Metrics files.

%description -l pl.UTF-8
Font::AFM jest interfejsem do plików metryk fontów Adobe (AFM - Adobe
Font Metrics).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Font/Metrics
%{perl_vendorlib}/Font/Metrics/*.pm
%{perl_vendorlib}/Font/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Font-AFM.spec,v $
Revision 1.39  2009/06/23 10:56:16  amateja
- updated to 1.20

Revision 1.38  2008/03/24 02:31:26  qboosh
- generic URL

Revision 1.37  2007-12-31 16:03:48  glen
- rel 3

Revision 1.36  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.35  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.34  2004/11/03 22:30:22  paladine
- formatting

Revision 1.33  2004/05/07 00:32:01  ankry
- rel. 2

Revision 1.32  2004/05/06 18:09:36  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/24 23:31:26  ankry
- tests really added

Revision 1.30  2004/04/24 23:29:23  ankry
- tests added

Revision 1.29  2004/04/20 21:44:04  ankry
- summary/description/license fixes

Revision 1.28  2004/01/24 22:19:54  arekm
- autoupdated to 1.19

Revision 1.27  2003/08/18 08:08:47  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 19:09:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:39:23  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:32:31  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/11/26 00:14:00  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.19  2002/07/10 08:47:19  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:31:30  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:14:42  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:26:27  depesz
adapterized

Revision 1.13  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:09:16  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/04 08:21:09  kloczek
- release 5: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.4  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.3  1999/10/30 10:19:59  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- release++

Revision 1.2  1999/09/28 18:50:30  pius
- simplifications in %build

Revision 1.1  1999/09/28 18:21:41  pius
- initial release

based on autogenerated spec from RH
